This script seems to work on my simple bodies. but what if I have part body like this
I want to remove everything from the first backslash and then remove all the slashes so i can save it to a directory. right now I get this error.
Thanks for the help. I really appreciate it.
I'm new to catia vb hoping theirs someone that can help me. I found this script that works for me except for to things. One it errors out if there is a multiple bodies with the same name and i need the body color of the initial body copied. below is the code.
Dim KomponenteNeu As Products
Dim...
Ok what I am trying to accomplish is creating a component or instance only attribute named "Order".
with the top level being numbered "1" then going down to the next component want to know if there is a parent if there is I want to read that order value and increment to the next number "2" and...
I have started a vb where it runs through each part in a assembly and changes the color. I have run into a problem I need to create a different color for each part. Also I need the color to the actual part not just the color in the assembly. Below you'll find the code that I have started. PLEASE...
What I'm to accomplish is I want to have my assembly open and one by one select the 1st part and make it the work part.then run piece of my journal and save. Then select the next part and do the same and etc.
Is there someone out there that can help me rewrite this code to get it to do what I want it to do?
Option Strict Off
Imports System
Imports NXOpen
Imports NXOpen.UF
Imports NXOpen.Utilities
Imports NXOpen.Assemblies
Imports System.Windows.Forms
Imports System.IO
Imports...
What I am trying to obtain is a journal that cycles through every individual part and changes the color to one of the selected random colors. so for my journal changes each part to the came color. also it doesn't change the actual part itself just the assembly representation. Can you help me...
I have started a vb where it runs through each part in a assembly and changes the color. I have run into a problem I need to create a different color for each part. Also I need the color to the actual part not just the color in the assembly. Below you'll find the code that I have started...
I have a SaveAs script that works. But Im having a hard time figuring out how to get it to loop through all the catia files to a folder?
Sub CATMain()
'Retrive the active document
Dim Doc As document
Set Doc = CATIA.Activedocument
Const WINDOW_HANDLE = 0
Const NO_OPTIONS = 0
Set objShell...
I have written and modifed vb scripts to create step files within UG. Now I would like to go a few steps futher and create and bat file or a powershell script to open and run one of the stand alone translators.
I am need of some direction or information that would head me in the write direction.
my journal file works great! thanks! I have on issue though after running it a few times in a row it locks up my UG screen. Anybody know how to resolve that?
yes and it continued to overwrite. I can attach the whole script.http://files.engineering.com/getfile.aspx?folder=4bd85acc-e3ab-409c-b570-45e331ecacfc&file=image_jpg_save.vb
I have a vb script that creates a image file of the screen. But when I run the script it rewrites the file. What I would like to do is create a new file and add a incremental digit at the end. I have been trying for weeks with no dice. Is there anyone out there that can help?